Name:           zlib-ada
Version:        1.4
Release:        0.12.20120830CVS%{?dist}
Summary:        Zlib for Ada
Summary(sv):    Zlib för ada

Group:          System Environment/Libraries
License:        GPLv3+ with exceptions
URL:            http://zlib-ada.sourceforge.net/
# The tarball was made with these commands:
# cvs -z3 -d:pserver:anonymous@zlib-ada.cvs.sourceforge.net:/cvsroot/zlib-ada co -P zlib-ada
# tar --create --exclude-vcs --bzip2 --file=zlib-ada-20120830.tar.bz2 zlib-ada
Source:         zlib-ada-20120830.tar.bz2
# This will be the source when there is a new release:
#Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source2:        build_zlib_ada.gpr
Source3:        zlib_ada.gpr

BuildRequires:  gcc-gnat >= 4.7 fedora-gnat-project-common zlib-devel chrpath
# Gnatmake learned about external_as_list sometime between 4.4 and 4.7.
# Build only on architectures where gcc-gnat is available:
ExclusiveArch:  %{GNAT_arches}

%global common_description_en \
Zlib-Ada is a thick Ada binding to the popular compression/decompression \
library Zlib.

%global common_description_sv \
Zlib-Ada är en tjock adabindning till det populära komprimerings- och \
avkomprimeringsbiblioteket Zlib.

%description %{common_description_en}

%description -l sv %{common_description_sv}


%package devel
Summary:        Development files for Zlib-Ada
Summary(sv):    Filer för programmering med Zlib-Ada
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       fedora-gnat-project-common

%description devel %{common_description_en}

The %{name}-devel package contains source code and linking information for
developing applications that use Zlib-Ada.

%description devel -l sv %{common_description_sv}

Paketet %{name}-devel innehåller källkod och länkningsinformation som behövs
för att utveckla program som använder Zlib-Ada.


%prep
%setup -q -n zlib-ada
chmod a-x *  # Remove bogus executable bits.
cp %{SOURCE2} .


%build
gnatmake -P build_zlib_ada.gpr %{Gnatmake_optflags} -XDESTDIR=build_target -XLDFLAGS='%{__global_ldflags}'
# Remove the unnecessary runpath that Gnatmake added.
chrpath --delete build_target%{_libdir}/*.so.*


%install
mv build_target/* --target-directory=%{buildroot}
# Add the project file for projects that use this library.
mkdir --parents %{buildroot}%{_GNAT_project_dir}
cp --preserve=timestamps %{SOURCE3} %{buildroot}%{_GNAT_project_dir}/


%check
%{_rpmconfigdir}/check-rpaths


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc readme.txt
%license COPYING3 COPYING.RUNTIME
%{_libdir}/*.so.*

%files devel
%doc test.adb mtest.adb read.adb buffer_demo.adb
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/zlib-ada
%{_GNAT_project_dir}/*


%changelog
* Tue Feb 02 2016 Björn Persson <Bjorn@Rombobjörn.se> - 1.4-0.12.20120830CVS
- Rebuilt with GCC 6 prerelease.

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-0.11.20120830CVS
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Mar 15 2015 Björn Persson <bjorn@rombobjörn.se> - 1.4-0.10.20120830CVS
- Tagged the license files as such.

* Sat Feb 07 2015 Björn Persson <bjorn@rombobjörn.se> - 1.4-0.9.20120830CVS
- Rebuilt with GCC 5.0.0.

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-0.8.20120830CVS
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-0.7.20120830CVS
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 10 2014 Björn Persson <bjorn@rombobjörn.se> - 1.4-0.6.20120830CVS
- Rebuilt with GCC 4.9.0 prerelease.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-0.5.20120830CVS
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jan 24 2013 Björn Persson <bjorn@rombobjörn.se> - 1.4-0.4.20120830CVS
- Rebuilt with GCC 4.8.

* Mon Sep 03 2012 Björn Persson <bjorn@rombobjörn.se> - 1.4-0.3.20120830CVS
- Switched from GPRbuild to Gnatmake because the library fails to initialize
  itself when built with GPRbuild.

* Sat Sep 01 2012 Björn Persson <bjorn@rombobjörn.se> - 1.4-0.2.20120830CVS
- Remove bogus executable bits.

* Thu Aug 30 2012 Björn Persson <bjorn@rombobjörn.se> - 1.4-0.1.20120830CVS
- ready to be submitted for review
